package com.ruoyi.project.ehs.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.ehs.mapper.TFirestandpipeMapper;
import com.ruoyi.project.ehs.domain.TFirestandpipe;
import com.ruoyi.project.ehs.service.ITFirestandpipeService;

import javax.annotation.Resource;

/**
 * 消防竖管Service业务层处理
 *
 * @author ruoyi
 * @date 2020-11-25
 */
@Service
public class TFirestandpipeServiceImpl implements ITFirestandpipeService
{
    @Resource
    private TFirestandpipeMapper tFirestandpipeMapper;

    /**
     * 查询消防竖管
     *
     * @param id 消防竖管ID
     * @return 消防竖管
     */
    @Override
    public TFirestandpipe selectTFirestandpipeById(Long id)
    {
        return tFirestandpipeMapper.selectTFirestandpipeById(id);
    }

    /**
     * 查询消防竖管列表
     *
     * @param tFirestandpipe 消防竖管
     * @return 消防竖管
     */
    @Override
    public List<TFirestandpipe> selectTFirestandpipeList(TFirestandpipe tFirestandpipe)
    {
        return tFirestandpipeMapper.selectTFirestandpipeList(tFirestandpipe);
    }

    @Override
    public List<TFirestandpipe> selectList(TFirestandpipe tFirestandpipe) {
        return tFirestandpipeMapper.selectList(tFirestandpipe);
    }

    /**
     * 新增消防竖管
     *
     * @param tFirestandpipe 消防竖管
     * @return 结果
     */
    @Override
    public int insertTFirestandpipe(TFirestandpipe tFirestandpipe)
    {
        return tFirestandpipeMapper.insertTFirestandpipe(tFirestandpipe);
    }

    /**
     * 修改消防竖管
     *
     * @param tFirestandpipe 消防竖管
     * @return 结果
     */
    @Override
    public int updateTFirestandpipe(TFirestandpipe tFirestandpipe)
    {
        return tFirestandpipeMapper.updateTFirestandpipe(tFirestandpipe);
    }

    /**
     * 批量删除消防竖管
     *
     * @param ids 需要删除的消防竖管ID
     * @return 结果
     */
    @Override
    public int deleteTFirestandpipeByIds(Long[] ids)
    {
        return tFirestandpipeMapper.deleteTFirestandpipeByIds(ids);
    }

    /**
     * 删除消防竖管信息
     *
     * @param id 消防竖管ID
     * @return 结果
     */
    @Override
    public int deleteTFirestandpipeById(Long id)
    {
        return tFirestandpipeMapper.deleteTFirestandpipeById(id);
    }
}
